
			// ===============================================================
			//  Sample Code [3: Products]
			// ===============================================================		
			function callProducts()
			{	
				// Initialize
				// _______________________________________________________________________	
				var GET_MAP_ARRAY = JSCUS_SQL._CATEGORY._PRODUCT_BRANCH.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();
			
				// Populate HTTP Prarameters 
				// [All parameters here are optional. Add these lines for filtering the result]
				// _______________________________________________________________________	
				JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_CAT_PRODBRANCH_ACC_GROUP_ID', 1); //1 for branch 1 as default for sampling
			    
				
	
				// Send Request
				// _______________________________________________________________________	
				JSCUS_SQL._CATEGORY._PRODUCT_BRANCH.CUS_GET 
				(
					GET_MAP_ARRAY,
					callProducts_callback
				);
			}				
	
			function callProducts_callback(IS_SUCCESS, RESPONSE_STRING)
			{
				// Validate : Returns true on connection issue
				// _______________________________________________________________________
				if(IS_SUCCESS === false)
				{
					alert("CONNECTION ERROR: \n" + RESPONSE_STRING);
					return;
				}
				
				// Validate : Returns true if Server responds with error 
				// e.g. invalid request parameter, fault in connection settings (root\Modules\INI_CONST.php), etc
				// You can review the error details at (root\log)
				// _______________________________________________________________________
				var JSON_OBJECT = JSRC_JSON.REF_CREATE(RESPONSE_STRING);
				if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
				{
					alert("REQUEST ERROR: \n" + RESPONSE_STRING);  //kung mali mga pinasa mo na param or mali natawag na functions
					return;
				}
				
				// JSON is Empty
				// Theres no records found to fit the requested details.
				// _______________________________________________________________________
				if(JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT") <= 0) //kung ilan ang na return na record
				{
					return; 
				}
				
				// Retrieve Response
				// _______________________________________________________________________
				var JSON_MAX = JSVC_NUM.VAR_NVALL(JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT"));
				var JSON_INDEX = 1;

				console.log("Hi mic, I created a sample code para ma retrieve mo product. -Sir Don ;)")
				while(JSON_MAX >= JSON_INDEX)
				{
					console.log(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_PRODUCT_DESCRIPTION", JSON_INDEX) + " Price:" + JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_PRODUCT_AMOUNT_PRICE", JSON_INDEX) );
					
					
					JSON_INDEX ++;
				}
			}	
			
